Subject: Re: bug#25020: guix refresh does not discover updates if URLs are "non-standard"

From: [email-masked] (Ludovic Courtès)
Date: Mon, 23 Jan 2017 23:14:29 +0100

Hello Hartmut,

Do you still experience the problem described in this report?

  https://bugs.gnu.org/25020

Ludo’.

[email-masked] (Ludovic Courtès) skribis:

>> Hartmut Goebel wrote:
>>
>>> Hi,
>>>
>>> I just updated kde-frameworks to 5.28 and found that not all updates
>>> have been discovered.
>>>
>>> Those where the URL is following the standard schema where found:
>>> "mirror://kde/stable/frameworks/" (version-major+minor version) "/" name
>>> "-" version ".tar.xz"))
>>>
>>> Those having a different name of the archive or having an additional
>>> directory behind the first version-part have not been found.
>>>
>>> Update found for:
>>>
>>>     (name "extra-cmake-modules")
>>>     (version "5.27.0")
>>>     (source (origin
>>>               (method url-fetch)
>>>               (uri (string-append
>>>                     "mirror://kde/stable/frameworks/"
>>>                     (version-major+minor version) "/"
>>>                     name "-" version ".tar.xz"))
>>>
>>> Update not found for (archive-name has "5" appended):
>>>
>>>     (name "oxygen-icons")
>>>     (version "5.27.0")
>>>     (source (origin
>>>               (method url-fetch)
>>>               (uri (string-append
>>>                     "mirror://kde/stable/frameworks/"
>>>                     (version-major+minor version) "/"
>>>                     name "5" "-" version ".tar.xz"))
>>>
>>> Update not found for (additional directory level):
>>>
>>>     (name "kross")
>>>     (version "5.27.0")
>>>     (source
>>>      (origin
>>>        (method url-fetch)
>>>        (uri (string-append
>>>              "mirror://kde/stable/frameworks/"
>>>              (version-major+minor version) "/portingAids/"
>>>              name "-" version ".tar.xz"))
>
> Fixed for oxygen-icons in commit
> 683c5ab70accb909697717bb61741a7692c52c09.
>
> I can’t tell about kross because it’s not committed yet.  However, I can
> tell the logic behind ‘latest-kde-release’ in (guix gnu-maintenance)
> recurses in sub-directories,
>
> Ludo’.